diff sources/toys/run-emulator.sh @ 751:d0157468f73d

Prevent smoketest-all.sh from hanging if an individual smoketest.sh doesn't exit properly.
author Rob Landley <rob@landley.net>
date Thu, 18 Jun 2009 04:31:44 -0500
parents ad65353ad01c
children 188a182b1a7f
line wrap: on
line diff
--- a/sources/toys/run-emulator.sh	Mon Jun 15 03:22:00 2009 -0500
+++ b/sources/toys/run-emulator.sh	Thu Jun 18 04:31:44 2009 -0500
@@ -107,5 +107,9 @@
 
 [ -e "$HDB" ] && WITH_HDB="-hdb $HDB"
 
+# Kill our child processes on exit.
+
+trap "pkill -P$$" EXIT
+
 # The actual emulator invocation command gets appended here